Subject: Re: [bug#29466] [PATCH 1/2] services: web: Switch nginx related functions to use match-record.

From: Christopher Baines <[email-masked]>
Date: Mon, 11 Dec 2017 21:01:22 +0000

Ludovic Courtès <[email-masked]> writes:

> Christopher Baines <[email-masked]> skribis:
>
>> As this is less prone to mistakes than match.
>>
>> * gnu/services/web.scm (default-nginx-config, nginx-activation,
>>   nginx-shepherd-service): Switch from using match-lambda to match-record.
>
> Awesome.  LGTM!

Great, I've pushed this and the previous patch.

> PS: I’d rather let Clément or some other nginx-savvy person comment on
>     the second patch.

Yeah, that's fine :) I'll close this bug anyway, as the remaining patch
I sent is not anywhere near ready yet.